import java.util.Scanner;

/**
 * 
 * @author schauer
 *
 * Aufgabe 1 aus dem Javakurs vom 21.12.2017. Nutzereingaben im Array speichern.
 */
public class Nutzereingaben {
	
	public static void main(String[] args) {
		
		int[] zahlenspeicher = new int[5];
		int datenbestand = 0;
		boolean ende = false;
		
		Scanner scan = new Scanner(System.in);
		
		// Solange keine 0 eingegeben wurde:
		while(!ende){
			System.out.println("Bitte eine Zahl eingeben. Mit 0 terminieren: ");
			
			int eingabe = scan.nextInt();
			
			// 0 Wurde eingegeben. While-Schleife verlassen.
			if(eingabe==0)
				ende=true;
			else{
				
				// Falls noch Speicherplatz im Array vorhanden: Zahl abspeichern.
				if(datenbestand<zahlenspeicher.length){
					zahlenspeicher[datenbestand]=eingabe;
					
					// Wichtig: Datenbestand hochzhlen
					datenbestand++;
				}
				
				else{
					//1.Mglichkeit: Keine weitere Eingabe mehr zulassen:
					
//					System.out.println("Sie knnen leider keine weitere Zahl mehr eingeben!");
//					ende=true;
					
					//2.Mglichkeit: vergern des Arrays:
					
					// Kopie mit doppelter Gre anlegen
					int[] kopie = new int[zahlenspeicher.length*2];
					
					// Elemente des alten Arrays ins neue kopieren: 
					for(int i=0;i<zahlenspeicher.length;i++)
						kopie[i]=zahlenspeicher[i];
					
					// Referenz auf die Array-Kopie setzen:
					zahlenspeicher = kopie;
					
					// Zahl abspeichern und Datenbestand erhhen.
					zahlenspeicher[datenbestand]=eingabe;
					datenbestand++;
				}
				
			}
		}
		
		scan.close();
		
		// Summe der Array-Werte bilden:
		double sum = 0.0;
		for(int i=0;i<datenbestand;i++){
			System.out.print(zahlenspeicher[i]+" ");
			sum+=zahlenspeicher[i];
		}
		
		// Ausgabe Mittelwert
		String mean = String.format("%1.1f",sum/datenbestand);
		System.out.println("Der Mittelwert betrgt: "+mean);
	}

}
